<?php
/**
 * Gestion de l'affichage des frais
 *
 * PHP Version 7
 *
 * @category  PPE
 * @package   GSB
 * @author    Réseau CERTA getListeVisiteurDate<contact@reseaucerta.org>
 * @author    José GIL <jgil@ac-nice.fr>
 * @copyright 2017 Réseau CERTA
 * @license   Réseau CERTA
 * @version   GIT: <0>
 * @link      http://www.reseaucerta.org Contexte « Laboratoire GSB »
 */

$action = filter_input(INPUT_GET, 'action', FILTER_SANITIZE_STRING);
$idUtilisateur = $_SESSION['idVisiteur'];
 
//  $lesMois = $pdo->getLesMoisDisponibles(-1);
//  $lesMois=array_keys($lesMois);
//  $moisASelectionner = filter_input(INPUT_POST, 'lstMois', FILTER_SANITIZE_STRING);
//
//
// $listeVisiteur = $pdo->getListeVisiteur();
// $clesvisiteur = array_keys($listeVisiteur);
// $visiteurAselectioner = filter_input(INPUT_POST, 'lstvisiteur', FILTER_SANITIZE_STRING);


switch ($action) {

 case 'choisirvisiteur' :
   $listeVisiteur = $pdo->getListeVisiteur();

  $clesvisiteur = array_keys($listeVisiteur);
  $visiteurAselectioner = $clesvisiteur[2];
   
 $lesMois = $pdo->getLesMoisDisponibles(-1);
 $lesCles = array_keys($lesMois);
 $moisASelectionner = $lesCles[0];

   include 'vuesc/vc_validerfiche.php';
   break;
 



 case 'lectureFrais' :

  $lesMois = $pdo->getLesMoisDisponibles(-1);
  $lesMois=array_keys($lesMois);
  $moisASelectionner = filter_input(INPUT_POST, 'lstMois', FILTER_SANITIZE_STRING);


 $listeVisiteur = $pdo->getListeVisiteur();
 $clesvisiteur = array_keys($listeVisiteur);
 $visiteurAselectioner = filter_input(INPUT_POST, 'lstvisiteur', FILTER_SANITIZE_STRING);
		//var_dump($visiteurAselectioner,$moisASelectionner);


    $lesFraisHorsForfait = $pdo->getLesFraisHorsForfait($visiteurAselectioner, $moisASelectionner);
    $lesFraisForfait = $pdo->getLesFraisForfait($visiteurAselectioner, $moisASelectionner);
    $lesInfosFicheFrais = $pdo->getLesInfosFicheFrais($visiteurAselectioner, $moisASelectionner);
    $numAnnee = substr( $moisASelectionner, 0, 4);
    $numMois = substr( $moisASelectionner, 4, 2);
    $libEtat = $lesInfosFicheFrais['libEtat'];
    $montantValide = $lesInfosFicheFrais['montantValide'];
    $nbJustificatifs = $lesInfosFicheFrais['nbJustificatifs'];
    $dateModif = dateAnglaisVersFrancais($lesInfosFicheFrais['dateModif']);

    if ($lesFraisForfait || $lesFraisHorsForfait || $lesInfosFicheFrais  == 'empty') {
    include 'vuesc/vc_lectureFrais.php';
 		}
 	else
	{
 	include'vuesc/vc_erreur.php';
 	}
   


		break;



case 'corrigerFraisForfait':
		
	  
//  $lesMois = $pdo->getLesMoisDisponibles(-1);
//  $lesMois=array_keys($lesMois);
//  $moisASelectionner = filter_input(INPUT_POST, 'lstMois', FILTER_SANITIZE_STRING);
//
//
// $listeVisiteur = $pdo->getListeVisiteur();
// $clesvisiteur = array_keys($listeVisiteur);
// $visiteurAselectioner = filter_input(INPUT_POST, 'lstvisiteur', FILTER_SANITIZE_STRING);


$lesFrais = filter_input(INPUT_POST, 'lesFrais', FILTER_DEFAULT, FILTER_FORCE_ARRAY);
$visiteurAselectioner = filter_input(INPUT_POST, 'leVisiteur' ,FILTER_SANITIZE_STRING);
$moisASelectionner =filter_input(INPUT_POST, 'lemois', FILTER_SANITIZE_STRING);


//if (lesQteFraisValides($lesFrais)) {
 $pdo->majFraisForfait($visiteurAselectioner, $moisASelectionner, $lesFrais);

//include'vuesc/vc_erreur.php';
 break;


 case 'reporterleFrais':
$moisASelectionner =filter_input(INPUT_GET,'unmois', FILTER_SANITIZE_STRING);
$moisASelectionner += 1;   
$moisASelectionner = strval($moisASelectionner);

var_dump($moisASelectionner);

$idFrais = filter_input(INPUT_GET, 'idFrais', FILTER_SANITIZE_STRING);
var_dump($idFrais);
$visiteurAselectioner = filter_input(INPUT_GET, 'idvisiteur', FILTER_SANITIZE_STRING);
var_dump($visiteurAselectioner);

//$pdo->reporter($visiteurAselectioner, $moisASelectionner,$idFrais);
$pdo->reporterfrais($moisASelectionner,$idFrais);
        //$pdo->supprimerFraisHorsForfait($idFrais);
       // $pdo->reporterFraisHorsForfait($idFrais,$visiteurAselectioner,$moisASelectionner);
include'vuesc/vc_erreur.php';
break;



case 'valider':

$visiteurAselectionner = filter_input(INPUT_GET,'idvis', FILTER_SANITIZE_STRING);
$moisASelectionner =filter_input(INPUT_GET,'unmois', FILTER_SANITIZE_STRING);
var_dump($visiteurAselectionner);
var_dump($moisASelectionner); 
$etat ='VA';
var_dump($etat);

//$pdo->majEtatFicheFrais($visiteurAselectioner,$moisASelectionner,$etat);


 break;








    } 

         
 ?>	